from django.shortcuts import render_to_response
from karma.models import Value, User

def index(request):
    karma_values = len(Value.objects.all())
    karma_users = len(User.objects.all())
    return render_to_response('karma/index.html', {'value_count': karma_values,
                                                   'user_count': karma_users})

def stats(request):
    values = Value.objects.all().order_by('-value')
    return render_to_response('karma/stats.html', {'values': values})

def givers(request):
    users = User.objects.all().order_by('who')
    return render_to_response('karma/givers.html', {'users': users})
